本文へ移動
Bounty Developer

GET/api/events/{slug}/qr/contexts

「QR」の分類の、情報を読み出す API。ログインした本人として呼ぶ。

要約

選択イベントの企業・ブースQR。現在の所属とパートナーを照合

呼び方と印

ログイン

URL に付ける値(パラメータ)

経路の中の波かっこの部分と、URL の ? の後ろに付ける値。「必須」の印があるものは省けない。

  • slugpath必須string
  • expectedEventIdquery必須string(uuid)
  • expectedActorIdquery必須string(uuid)
  • expectedRevisionquery必須string
    /^[a-f0-9]{64}$/
  • companyIdquery任意string(uuid)
  • contentIdquery任意string(uuid)

返るもの(応答)200 · application/json

成功したときに返る形。入れ子の欄は、その行を押すと開く・閉じる。「任意」の印がある欄は返らないことがある。

  • |1object
    • contextstring
    • eventIdstring(uuid)
    • actorIdstring(uuid)
    • eventRevisionstring/^[a-f0-9]{64}$/
  • |2object
    • itemsarray<object>
      • idstring(uuid)
      • titlestring
      • subjectNamestring | null
      • logoUrlstring | null
      • darkLogoUrlstring | null
    • companiesarray<object>
      • idstring(uuid)
      • namestring
      • eventIdstring(uuid) | null
      • defaultCandidateboolean
    • defaultCompanyIdstring(uuid) | null
    • eventIdstring(uuid)
    • actorIdstring(uuid)
    • eventRevisionstring/^[a-f0-9]{64}$/

失敗したとき(エラー)

失敗したときの状態コードと、その意味。本文の error の値で、プログラムが失敗の種類を見分けられる。

  • 400HTTP 400(x-bounty-error-codes を参照)
  • 401未ログイン(unauthorized)/ Bearer が無効(invalid_token。WWW-Authenticate 付き)
  • 403HTTP 403(x-bounty-error-codes を参照)
  • 404HTTP 404(x-bounty-error-codes を参照)
  • 409HTTP 409(x-bounty-error-codes を参照)

呼び出しの見本

そのまま試せる呼び出しの例。curl と fetch をタブで切り替える。ID やトークンは自分の値に置き換える。

curl "https://bounty.spikes.4s.link/api/events/{slug}/qr/contexts?expectedEventId=00000000-0000-4000-8000-000000000000&expectedActorId=00000000-0000-4000-8000-000000000000&expectedRevision=string" \
  -H "Authorization: Bearer $BEARER_AUTH"
GET /api/events/{slug}/qr/contexts | Bounty Developer